[![Build Status](https://woodpecker.flokaiser.com/api/badges/WebEngineering2/TelegramAktienBot/status.svg)](https://woodpecker.flokaiser.com/WebEngineering2/TelegramAktienBot/)
# TelegramAktienBot
WebEngineering2 Projekt: Aktien und News Bot für Telegram

## Projektumfang
- Web-Konfigurationsseite / Interface:
  - regelmäßige Updates festlegen
  - Aktienindizes auswählen
  - Watchlist-Übersicht
  - Verknüpfung des Bots über ID
  - Login (JWT)
  - Stichwörter für News definieren
- Telegram Bot:
  - regelmäßige Updates per Nachricht über Kurse und News zu bestimmten Themen/Stichwörtern/Kursen
  - Update auf Anfrage

## Dokumentation
-> README.md in /documentation

## Nützliche Tools
- Portainer (https://gruppe1.testsites.info/portainer/) \
  *Container Management System*
- phpMyAdmin (https://gruppe1.testsites.info/phpmyadmin/) \
  *Administration von MySQL-Datenbanken*
- goaccess (https://gruppe1.testsites.info/goaccess/) \
  *Webanalyseanwendung*
- Uptimekuma (https://uptimekuma.flokaiser.com/status/aktienbot) \
  *Monitoring*
- Woodpecker (https://woodpecker.flokaiser.com/WebEngineering2/TelegramAktienBot) \
  *Continuous Integration platform*
